Index: trunk/ab5.0/abdev/BasicCompiler_Common/VariableOpe.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/VariableOpe.cpp	(revision 461)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/VariableOpe.cpp	(revision 465)
@@ -173,5 +173,5 @@
 	else{
 		extern int cp;
-		SetError(1,NULL,cp);
+		compiler.errorMessenger.Output(1,NULL,cp);
 		return 0;
 	}
@@ -273,5 +273,5 @@
 				}
 				if(variable[i]=='\"'){
-					SetError(1,NULL,cp);
+					compiler.errorMessenger.Output(1,NULL,cp);
 					return;
 				}
@@ -360,5 +360,5 @@
 				}
 				if(buffer[i+1]==cPare_Open){
-					SetError(14,buffer,cp);
+					compiler.errorMessenger.Output(14,buffer,cp);
 					return 0;
 				}
@@ -411,5 +411,5 @@
 
 	if(!IsVariableTopChar(name[0])){
-		SetError(1,NULL,nowLine);
+		compiler.errorMessenger.Output(1,NULL,nowLine);
 		return 0;
 	}
@@ -417,5 +417,5 @@
 		if(name[i2]=='\0') break;
 		if(!IsVariableChar(name[i2])){
-			SetError(1,NULL,nowLine);
+			compiler.errorMessenger.Output(1,NULL,nowLine);
 			return 0;
 		}
@@ -451,5 +451,5 @@
 	const CMember *pMember = objClass.FindDynamicMember( VarName );
 	if( !pMember ){
-		if(isErrorEnabled) SetError(103,VarName,cp);
+		if(isErrorEnabled) compiler.errorMessenger.Output(103,VarName,cp);
 		return false;
 	}
@@ -459,5 +459,5 @@
 		//同一クラスオブジェクトの場合はプライベートアクセスを容認する
 		if( pMember->IsNoneAccess() ){
-			if(isErrorEnabled) SetError(107,VarName,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(107,VarName,cp);
 			return false;
 		}
@@ -466,9 +466,9 @@
 		if(( bPrivateAccess==0 && pMember->IsPrivate() )||
 			pMember->IsNoneAccess() ){
-			if(isErrorEnabled) SetError(107,VarName,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(107,VarName,cp);
 			return false;
 		}
 		else if( bPrivateAccess==0 && pMember->IsProtected() ){
-			if(isErrorEnabled) SetError(108,VarName,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(108,VarName,cp);
 			return false;
 		}
@@ -490,5 +490,5 @@
 	else{
 		if(lpPtrOffset[0]){
-			if(isErrorEnabled) SetError(16,lpszMember,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(16,lpszMember,cp);
 			return false;
 		}
@@ -523,5 +523,5 @@
 		else{
 			//エラー
-			if(isErrorEnabled) SetError(1,NULL,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(1,NULL,cp);
 			return false;
 		}
@@ -674,5 +674,5 @@
 
 	//変数として見つからなかったとき
-	if(isErrorEnabled) SetError(3,variable,cp);
+	if(isErrorEnabled) compiler.errorMessenger.Output(3,variable,cp);
 	return false;
 
@@ -688,5 +688,5 @@
 	else{
 		if(lpPtrOffset[0]){
-			if(isErrorEnabled) SetError(16,variable,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(16,variable,cp);
 			return false;
 		}
@@ -714,5 +714,5 @@
 		else{
 			//エラー
-			if(isErrorEnabled) SetError(1,NULL,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(1,NULL,cp);
 			return false;
 		}
@@ -828,5 +828,5 @@
 			(temporary[2]==ESC_FUNCTION||temporary[2]==ESC_SUB)){
 			if(buffer[i]!='('){
-				SetError(10,temporary,cp);
+				compiler.errorMessenger.Output(10,temporary,cp);
 				return false;
 			}
@@ -849,5 +849,5 @@
 
 		if( !compiler.StringToType( temporary, type ) ){
-			SetError(3,temporary,cp);
+			compiler.errorMessenger.Output(3,temporary,cp);
 			return false;
 		}
@@ -860,5 +860,5 @@
 
 			if( !type.IsObject() ){
-				SetError(112,variable,cp);
+				compiler.errorMessenger.Output(112,variable,cp);
 				return false;
 			}
@@ -877,5 +877,5 @@
 			if(i2>=0){
 				if(!(variable[i2]=='#'||variable[i2]=='!'||variable[i2]=='%'||variable[i2]=='$'))
-					SetError(-103,variable,cp);
+					compiler.errorMessenger.Output(-103,variable,cp);
 			}
 		}
@@ -896,5 +896,5 @@
 	if( InitBuf[0] != '\0' && ConstractParameter[0] != '\0' ){
 		//初期値とコンストラクタパラメータが同時に呼び出されているとき
-		SetError(132, NULL, cp);
+		compiler.errorMessenger.Output(132, NULL, cp);
 	}
 
@@ -944,5 +944,5 @@
 	if( compiler.GetObjectModule().meta.GetGlobalVars().DuplicateCheck( Symbol( name ) ) ){
 		//２重定義のエラー
-		SetError(15,name,cp);
+		compiler.errorMessenger.Output(15,name,cp);
 		return;
 	}
@@ -1024,5 +1024,5 @@
 	if( Parameter[i2] == 1 && Parameter[i2+1] == ESC_BYREF ){
 		//参照型
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 		Parameter += 2;
 	}
@@ -1067,5 +1067,5 @@
 	//定数と２重定義されていないかを調べる
 	if(compiler.GetObjectModule().meta.GetGlobalConsts().GetBasicType(VarName)){
-		SetError(15,VarName,cp);
+		compiler.errorMessenger.Output(15,VarName,cp);
 		return;
 	}
@@ -1073,5 +1073,5 @@
 	//定数マクロとして定義されている場合
 	if( compiler.GetObjectModule().meta.GetGlobalConstMacros().IsExist( VarName ) ){
-		SetError(15,VarName,cp);
+		compiler.errorMessenger.Output(15,VarName,cp);
 		return;
 	}
@@ -1095,5 +1095,5 @@
 	if(dwFlags&DIMFLAG_STATIC){
 		if( UserProc::IsGlobalAreaCompiling() ){
-			SetError(60,NULL,cp);
+			compiler.errorMessenger.Output(60,NULL,cp);
 			return;
 		}
